Sap Ordering


Parameters

Name In Type Required Description
orgId path string true Organization name as it is registered in Mas-Stack
page query integer false Page number for pagination
size query integer false Page size for pagination
sort query string false Sort by a field
order query string false Order by a field
group query string false Group by a field
body body SapOrderingDto false Information needed to search a sap ordering

Enumerated Values

Property Values
order one of [ASC, DESC]

Request body - instance of SapOrderingDto

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
{
  "sapOrderingAuxId": 1,
  "companyInvoice": "company",
  "productSapCode": 1,
  "productSapDescription": "description",
  "productSapMaterial": "material",
  "productSapFamilyCode": 1,
  "providerId": 1,
  "supplierToProviderId": 1
}
Name Type Required Description
sapOrderingAuxId integer false none
companyInvoice string false none
productSapCode string false none
productSapDescription string false none
productSapMaterial string false none
productSapFamilyCode string false none
providerId integer false none
supplierToProviderId integer false none

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16

curl -X POST https://logistics-stock.sta.masstack.com/v1/orgs/yoigo/sap_ordering/search?page='1'&size='10'&sort='sapOrderingId'&order='ASC'&group='sapOrderingId' \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}" \
 --data-raw "{
  'sapOrderingAuxId': 1,
  'companyInvoice': 'company',
  'productSapCode': 1,
  'productSapDescription': 'description',
  'productSapMaterial': 'material',
  'productSapFamilyCode': 1,
  'providerId': 1,
  'supplierToProviderId': 1
}" 

Responses

Code Meaning Description Schema
200 OK Success PaginatedSapOrderingDtos
400 Bad Request Bad Request Error400
404 Not Found Not found Error404
500 Internal Server Error Internal Server Error Error500

Endpoints

Base products

    Products

      Characteristics

        Delivery commitment

          Inputs

            Input Types

              Outputs

                Output Types

                  Stock

                    Physical Warehouse

                      Virtual Warehouse

                        Returns

                          Devices

                            Providers

                              Logistic Operators

                                Commercial Brands

                                  Status

                                    Categories

                                      Purposes

                                        Regions

                                          Countries

                                            Receptors

                                              Characteristics Values

                                                Sales Channel

                                                  Tenant group brand

                                                    Organizations

                                                      Sap Ordering

                                                        Report importer